export declare type LocalManagerConfig = {
    readonly storage: 'localStorage' | 'sessionStorage';
};
export declare class LocalManager<T extends string> {
    readonly storage: Storage;
    constructor(config: LocalManagerConfig);
    saveLocal(key: T, value: string | number | Object): void;
    getLocalObj<O>(key: T, or: O): O;
    getLocal(key: T, or: string): string;
    getLocalNum(key: T, or: number): number;
}
export default LocalManager;
